<!DOCTYPE html>

<!-- Task Assigned By: Prashant Sir-->
<!-- Assigned Date: 24/1 (Fri) -->
<!-- Task Deadline: 28/1 (Tue) -->
<!-- Task: Create a webpage(s) containing iframe and form(with every input field), form should be styled well-->

<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Webpage for Iframe</title>
    <link href="https://fonts.googleapis.com/css?family=Roboto&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="../static/style.css" type="text/css">
    
    <style>
        iframe{
            margin-left: 41%;
            margin-top: 30px;
        }
    </style>
    
</head>
<body>
    <!-- Background Image with parallax scrolling -->
    <main style="background: rgba(3, 3, 51, 0.6); padding-top: 20px;">

        <!--Strictly Filler Content (including the form) -->
        <h1 class="heading">Welcome to the Landing Page</h1>
        <h2 class="subheading">We are a start-up that does something</h2>
        <p id="para1" class="paragraph">Lorem, ipsum dolor sit amet consectetur adipisicing elit. Nulla odit quis voluptatibus error esse totam maiores modi labore, asperiores nobis iure doloremque quidem, natus distinctio repudiandae voluptate optio nostrum expedita. Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorum nesciunt earum itaque ut illo molestias labore facilis deleniti natus, voluptatem, consequuntur laborum quis doloremque voluptas vitae nihil, nisi perferendis tenetur! Lorem ipsum, dolor sit amet consectetur adipisicing elit. Ex error velit assumenda dolor nulla, explicabo odit consectetur exercitationem corrupti placeat pariatur modi voluptatum temporibus asperiores blanditiis sunt voluptas quae eligendi!</p>
        <p id="para2" class="paragraph">Lorem ipsum dolor sit amet consectetur adipisicing elit. Voluptatibus labore qui aspernatur quaerat cupiditate ipsa sapiente, amet sed voluptatum perspiciatis! Molestiae fuga, commodi exercitationem nam ratione aliquam ullam enim consequuntur? Lorem ipsum dolor sit amet consectetur adipisicing elit. Culpa blanditiis cupiditate et quo, incidunt voluptatem illo qui quibusdam consequuntur excepturi corporis veritatis. Nesciunt, excepturi debitis nemo earum provident iure. Consequatur! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Laboriosam itaque officiis ipsa nesciunt repellat, quod numquam impedit eligendi, voluptate libero recusandae vero facilis alias reprehenderit quibusdam maiores quis! Culpa, corporis!</p>
        
        <div class="form_container">
            <h2 class="subheading">Sign up for upcoming launch!</h2>
            <form id="signup" action="thankyou.html" method="GET">
                <label for="first_name" class="form_label">First Name:</label>
                <input type="text" id= "first_name" class="form_input" required>
                <label for="last_name" class="form_label">Last Name:</label>
                <input type="text" id= "last_name" class="form_input" required>
                <label for="email" class="form_label">Email:</label>
                <input type="text" id= "email" class="form_input" required>
            </form>

            <button id="button" type="submit" form="signup" formtarget="_blank" value="submit"><strong>Sign Me Up!</strong></button>
        </div>

        <!-- Iframe Section -->
        <section style="margin: auto;    margin-top: 73px;">
            <h2 class="subheading">Find us here!!!</h2>

            <!-- Please Refresh multiple times if the map doesn't load -->
            <iframe id="profile" title="Social Media" width="300" height="200" src="https://www.openstreetmap.org/export/embed.html?bbox=-0.004017949104309083%2C51.47612752641776%2C0.00030577182769775396%2C51.478569861898606&layer=mapnik"></iframe>
        </section>
    </main>
</body>
</html>